package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

public class GetAgentSignatureRequest extends UserRequest{
	

	private static final Logger LOG = Logger.getLogger(GetAgentSignatureRequest.class);
	
	private String userId;
	private String htmlSignature;
	
	public GetAgentSignatureRequest(String userId) {
		super(LOG, userId);
		this.userId = userId;
	}

	@Override
	protected Object call() throws Exception {
		//TODO conroy1 add AgentSignature in a future release
//		getUser().requestAgentSignature();
		LOG.warn("call() not implemented");
		return null;
	}

}
